mod error;
mod traits;
mod types;

#[cfg(target_os = "linux")]
mod linux;

pub use error::{Error, Result};
pub use traits::MediaPlayer;
pub use types::{Metadata, PlaybackStatus};

#[cfg(target_os = "linux")]
pub use linux::Player;

#[cfg(target_os = "linux")]
pub fn list_players() -> Result<Vec<Player>> {
    linux::list_players()
}
